Uploaded image for project: 'Fluid Infusion'
  1. Fluid Infusion
  2. FLUID-6587

Impossible to override any expanders in defaults

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: IoC System
    • Labels:
      None

      Description

      The problems with the defaults merging workflow are even more fundamental than reported in FLUID-6156. Rather than just not being able to make expanded default options defaultible, we can't override any expanders listed in defaults.

      The following setup:

      fluid.defaults("hortis.leafletMap", {
      ...
          outerBounds: "@expand:fluid.geom.emptyBounds()",
      });
      
      fluid.defaults("fluid.covidMap.map", {
          gradeNames: ["hortis.leafletMap", "hortis.streetmapTiles", "hortis.CSVLeafletMap", "hortis.conditionalTemplateRenderer"],
      ....
          outerBounds: {
              min: [-95.2, 41.6],
              max: [-74.3, 56.9]
          },
      )}
      

      ends up with the original expander being evaluated, since the merging algorithm produces a corrupt record with the (long-form) expander record plasted on top of the overriding value.

      Yet another thing to fix when we regularise the expansion and merging pipeline for FLUID-5304.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              antranig Antranig Basman
              Reporter:
              antranig Antranig Basman
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated: